Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicToolBarUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ToolBarUI
                  |
                  +--javax.swing.plaf.basic.BasicToolBarUI

Direct Known Subclasses:
  MetalToolBarUI

public class BasicToolBarUI
extends ToolBarUI
implements SwingConstants

A Basic L&F implementation of ToolBarUI. This implementation is a "combined" view/controller.

Inner Class Summary
`class` | `BasicToolBarUI.DockingListener` This inner class is marked "public" due to a compiler bug.
`protected class` | `BasicToolBarUI.DragWindow`
`protected class` | `BasicToolBarUI.FrameListener`
`protected class` | `BasicToolBarUI.PropertyListener`
`protected class` | `BasicToolBarUI.ToolBarContListener`
`protected class` | `BasicToolBarUI.ToolBarFocusListener`

Field Summary
`protected java.awt.Color` | `dockingBorderColor`
`protected java.awt.Color` | `dockingColor`
`protected MouseInputListener` | `dockingListener`
`protected KeyStroke` | `downKey`
`protected BasicToolBarUI.DragWindow` | `dragWindow`
`protected java.awt.Color` | `floatingBorderColor`
`protected java.awt.Color` | `floatingColor`
`protected int` | `focusedCompIndex`
`protected KeyStroke` | `leftKey`
`protected java.beans.PropertyChangeListener` | `propertyListener`
`protected KeyStroke` | `rightKey`
`protected JToolBar` | `toolBar`
`protected java.awt.event.ContainerListener` | `toolBarContListener`
`protected java.awt.event.FocusListener` | `toolBarFocusListener`
`protected KeyStroke` | `upKey`

Constructor Summary
`BasicToolBarUI()`

Method Summary
`boolean` | `canDock(java.awt.Component c, java.awt.Point p)`
`protected MouseInputListener` | `createDockingListener()`
`protected BasicToolBarUI.DragWindow` | `createDragWindow(JToolBar toolbar)`
`protected JFrame` | `createFloatingFrame(JToolBar toolbar)`
`protected java.awt.event.WindowListener` | `createFrameListener()`
`protected java.beans.PropertyChangeListener` | `createPropertyListener()`
`protected java.awt.event.ContainerListener` | `createToolBarContListener()`
`protected java.awt.event.FocusListener` | `createToolBarFocusListener()`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `dragTo(java.awt.Point position, java.awt.Point origin)`
`protected void` | `floatAt(java.awt.Point position, java.awt.Point origin)`
`java.awt.Color` | `getDockingColor()` Gets the color displayed when over a docking area
`java.awt.Color` | `getFloatingColor()` Gets the color displayed when over a floating area
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `installKeyboardActions()`
`protected void` | `installListeners()`
`void` | `installUI(JComponent c)`
`boolean` | `isFloating()`
`protected void` | `navigateFocusedComp(int direction)`
`void` | `setDockingColor(java.awt.Color c)` Sets the color displayed when over a docking area
`void` | `setFloating(boolean b, java.awt.Point p)`
`void` | `setFloatingColor(java.awt.Color c)` Sets the color displayed when over a floating area
`void` | `setFloatingLocation(int x, int y)`
`void` | `setOrientation(int orientation)`
`protected void` | `uninstallComponents()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toolBar

    protected JToolBar toolBar

### dragWindow

    protected BasicToolBarUI.DragWindow dragWindow

### focusedCompIndex

    protected int focusedCompIndex

### dockingColor

    protected java.awt.Color dockingColor

### floatingColor

    protected java.awt.Color floatingColor

### dockingBorderColor

    protected java.awt.Color dockingBorderColor

### floatingBorderColor

    protected java.awt.Color floatingBorderColor

### dockingListener

    protected MouseInputListener dockingListener

### propertyListener

    protected java.beans.PropertyChangeListener propertyListener

### toolBarContListener

    protected java.awt.event.ContainerListener toolBarContListener

### toolBarFocusListener

    protected java.awt.event.FocusListener toolBarFocusListener

### upKey

    protected KeyStroke upKey

### downKey

    protected KeyStroke downKey

### leftKey

    protected KeyStroke leftKey

### rightKey

    protected KeyStroke rightKey

Constructor Detail

### BasicToolBarUI

    public BasicToolBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### installComponents

    protected void installComponents()

### uninstallComponents

    protected void uninstallComponents()

### installListeners

    protected void installListeners()

### uninstallListeners

    protected void uninstallListeners()

### installKeyboardActions

    protected void installKeyboardActions()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### navigateFocusedComp

    protected void navigateFocusedComp(int direction)

### createFloatingFrame

    protected JFrame createFloatingFrame(JToolBar toolbar)

### createDragWindow

    protected BasicToolBarUI.DragWindow createDragWindow(JToolBar toolbar)

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Overrides:
    getMaximumSize in class ComponentUI

### setFloatingLocation

    public void setFloatingLocation(int x,
                                    int y)

### isFloating

    public boolean isFloating()

### setFloating

    public void setFloating(boolean b,
                            java.awt.Point p)

### setOrientation

    public void setOrientation(int orientation)

### getDockingColor

    public java.awt.Color getDockingColor()

  Gets the color displayed when over a docking area

### setDockingColor

    public void setDockingColor(java.awt.Color c)

  Sets the color displayed when over a docking area

### getFloatingColor

    public java.awt.Color getFloatingColor()

  Gets the color displayed when over a floating area

### setFloatingColor

    public void setFloatingColor(java.awt.Color c)

  Sets the color displayed when over a floating area

### canDock

    public boolean canDock(java.awt.Component c,
                           java.awt.Point p)

### dragTo

    protected void dragTo(java.awt.Point position,
                          java.awt.Point origin)

### floatAt

    protected void floatAt(java.awt.Point position,
                           java.awt.Point origin)

### createToolBarContListener

    protected java.awt.event.ContainerListener createToolBarContListener()

### createToolBarFocusListener

    protected java.awt.event.FocusListener createToolBarFocusListener()

### createPropertyListener

    protected java.beans.PropertyChangeListener createPropertyListener()

### createDockingListener

    protected MouseInputListener createDockingListener()

### createFrameListener

    protected java.awt.event.WindowListener createFrameListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.